Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ResolvedDependency

    public interface ResolvedDependency

Method Summary
`java.util.Set<ResolvedArtifact>` | `getAllArtifacts(ResolvedDependency parent)` Returns a union of the module and parent artifacts of this dependency and its children.
`java.util.Set<ResolvedArtifact>` | `getAllModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency and recursively to its children.
`java.util.Set<ResolvedArtifact>` | `getArtifacts(ResolvedDependency parent)` Returns a union of the module and parent artifacts of this dependency.
`java.util.Set<ResolvedDependency>` | `getChildren()` Returns the transitive ResolvedDependency instances of this resolved dependency.
`java.lang.String` | `getConfiguration()` Returns the configuration under which this instance was resolved.
`java.lang.String` | `getGroup()` Returns the group of the resolved dependency
`java.util.Set<ResolvedArtifact>` | `getModuleArtifacts()` Returns the module artifacts belonging to this ResolvedDependency.
`java.lang.String` | `getName()` Returns the name of the resolved dependency.
`java.util.Set<ResolvedArtifact>` | `getParentArtifacts(ResolvedDependency parent)` Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent.
`java.util.Set<ResolvedDependency>` | `getParents()` Returns the ResolvedDependency instances that have this instance as a transitive dependency.
`java.lang.String` | `getVersion()` Returns the version of the resolved dependency.

Method Detail

### getGroup

    java.lang.String getGroup()

  Returns the group of the resolved dependency

### getName

    java.lang.String getName()

  Returns the name of the resolved dependency.

### getVersion

    java.lang.String getVersion()

  Returns the version of the resolved dependency.

### getConfiguration

    java.lang.String getConfiguration()

  Returns the configuration under which this instance was resolved.

### getChildren

    java.util.Set<ResolvedDependency> getChildren()

  Returns the transitive ResolvedDependency instances of this resolved dependency. Returns never null.

### getParents

    java.util.Set<ResolvedDependency> getParents()

  Returns the ResolvedDependency instances that have this instance as a transitive dependency. Returns never null.

### getModuleArtifacts

    java.util.Set<ResolvedArtifact> getModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency. A module artifact is an artifact that belongs to a ResolvedDependency independent of a particular parent. Returns never null.

### getAllModuleArtifacts

    java.util.Set<ResolvedArtifact> getAllModuleArtifacts()

  Returns the module artifacts belonging to this ResolvedDependency and recursively to its children. Returns never null.

  See Also:
    `getModuleArtifacts()`

### getParentArtifacts

    java.util.Set<ResolvedArtifact> getParentArtifacts(ResolvedDependency parent)

  Returns the artifacts belonging to this ResolvedDependency which it only has for a particular parent. Returns never null.

  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.
  Throws:
    `InvalidUserDataException` - If the parent is unknown or null

### getArtifacts

    java.util.Set<ResolvedArtifact> getArtifacts(ResolvedDependency parent)

  Returns a union of the module and parent artifacts of this dependency. Never returns null.

  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.
  Throws:
    `InvalidUserDataException` - If the parent is unknown or null

### getAllArtifacts

    java.util.Set<ResolvedArtifact> getAllArtifacts(ResolvedDependency parent)

  Returns a union of the module and parent artifacts of this dependency and its children. Never returns null.

  Parameters:
    `parent` - A parent of the ResolvedDependency. Must not be null.
  Throws:
    `InvalidUserDataException` - If the parent is unknown or null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD